Page MenuHomePhabricator

Complete initial version of TemplateStyles sufficient to do security review and then deploy it to WMF production
Closed, ResolvedPublic

Description

What's left to do?

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
ResolvedJdlrobson
DuplicateNone
DuplicateNone
OpenNone
OpenNone
DeclinedNone
InvalidNone
OpenNone
OpenNone
ResolvedTheDJ
ResolvedTheDJ
InvalidNone
OpenNone
ResolvedTheDJ
OpenNone
ResolvedJdlrobson
OpenJdlrobson
OpenJdlrobson
ResolvedTgr
ResolvedAnomie
Resolvedtstarling
Resolvedcoren

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2016, 5:43 PM
Jdforrester-WMF renamed this task from Complete initial version of TemplateStyles sufficient to deploy it to WMF production to Complete initial version of TemplateStyles sufficient to do security review and then deploy it to WMF production.Apr 22 2016, 5:44 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF added a project: Epic.
coren added a comment.Apr 23 2016, 1:52 PM

What's left to do?

I think most of what's left lies in the security review:

  • Determine whether the current list of blacklisted properties suffices
  • Determine if more functional values should be whitelisted
  • Try to style things that shouldn't be styled
    • Fix any found holes and add tests for them

The actual functionality of the extension is complete - at least to the current specs. The <templatestyles> tag is implemented and properly supplies styling to pages transcluding them provided they are in the list of acceptable namespaces.

Jdforrester-WMF closed this task as Resolved.Apr 25 2016, 5:40 PM
Jdforrester-WMF assigned this task to coren.

OK, let's move determining the policy up to the security review.

ggellerman moved this task from Up next to Done on the TemplateStyles board.Nov 21 2017, 7:16 PM